package com.bonus.canteen.core.auth.oauth.app.manage.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotBlank;

@ApiModel("app 重置密码DTO")
public class AuthAppResetPasswordDTO {
   @ApiModelProperty("用户ID")
   private Long userId;
   @ApiModelProperty("密码")
   private @NotBlank(
   message = "{auth_no_password}"
) String password;

   public Long getUserId() {
      return this.userId;
   }

   public String getPassword() {
      return this.password;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setPassword(final String password) {
      this.password = password;
   }

   public String toString() {
      Long var10000 = this.getUserId();
      return "AuthAppResetPasswordDTO(userId=" + var10000 + ", password=" + this.getPassword() + ")";
   }
}
